Subject: bug#16090: 24.3.50; [PATCH] error when jumping to a doc-view bookmark

From: Tassilo Horn <[email-masked]>
Date: Fri, 04 Apr 2014 17:53:14 +0200

Stefan Monnier <[email-masked]> writes:

>> (defun doc-view-bookmark-jump (bmk)
>>   ;; This implements the `handler' function interface for record type
>>   ;; returned by `doc-view-bookmark-make-record', which see.
>>   (let ((page (bookmark-prop-get bmk 'page)))
>>     (add-hook 'bookmark-after-jump-hook
>> 	      (lambda ()
>> 		(setq bookmark-after-jump-hook
>> 		      (cdr bookmark-after-jump-hook))
>
> Don't use `setq' on hooks.  Use remove-hook.  Yes I know it's more
> complicated, you'll have to use `make-symbol' and fset it with the
> above lambda.  But `setq' on hooks really is much too brittle.

I knew it wasn't a good idea, but I didn't think of fset-ing an
uninterned symbol.  Good idea!

Hm, but somehow I cannot commit with vc.  I always get

  bzr: ERROR: Unrecognized bug debbugs:16090. Commit refused.

But that's the right number!

Bye,
Tassilo